Page MenuHomePhabricator

Table sorting broken by colspan
Closed, ResolvedPublic

Description

This problem was first reported in 2006 on Bugzilla (https://bugzilla.wikimedia.org/show_bug.cgi?id=8028) but while the report was closed, it's still unresolved.

When tables only have "rowspan", sorting works well. When there is "colspan" it works only partially (for the columns before the "colspan"). And when both "colspan" and "rowspan" are present, it's basically impossible to sort anything.

Cf. the first tables of https://fr.wikipedia.org/wiki/Prix_Eisner on the French Wikipedia.


Version: 1.25-git
Severity: normal

Details

Reference
bz72534

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz72534.
bzimport added a subscriber: Unknown Object (MLST).
Encolpe created this task.Oct 26 2014, 4:43 PM

I have worked on this problem and have a solution comming soon, after check some other problems with colspanning/rowspanning.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2015, 12:01 PM

Change 233168 had a related patch set uploaded (by MatthiasDD):
jquery.tablesorter: Add ability for cells with colspan in tbody

https://gerrit.wikimedia.org/r/233168

Change 233168 merged by jenkins-bot:
jquery.tablesorter: Add ability for cells with colspan in tbody

https://gerrit.wikimedia.org/r/233168

TheDJ closed this task as Resolved.Sep 10 2015, 7:25 PM
TheDJ assigned this task to MatthiasDD.
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.
TheDJ removed a subscriber: wikibugs-l-list.